Bug 113854 - net/tightvnc cant find fonts on xorg 7.2
net/tightvnc cant find fonts on xorg 7.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: itetcu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 13:20 UTC by scheidell
Modified: 2008-01-26 04:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description scheidell 2007-06-19 13:20:04 UTC
after full, successful update to 7.2 as per /usr/src/UPDATING, we find that vncserver won't start:

Couldn't open RGB_DB '/usr/local/lib/X11/rgb'
19/06/07 08:04:11 Xvnc version TightVNC-1.3.8
19/06/07 08:04:11 Copyright (C) 2000-2006 Constantin Kaplinsky
19/06/07 08:04:11 Copyright (C) 1999 AT&T Laboratories Cambridge
19/06/07 08:04:11 All Rights Reserved.
19/06/07 08:04:11 See http://www.tightvnc.com/ for information on TightVNC
19/06/07 08:04:11 Desktop name 'X' (audit3.secnap.net:1)
19/06/07 08:04:11 Protocol versions supported: 3.7t, 3.7, 3.3
19/06/07 08:04:11 Listening for VNC connections on TCP port 5901
19/06/07 08:04:11 Listening for HTTP connections on TCP port 5801
19/06/07 08:04:11   URL http://audit3.secnap.net:5801

Fatal server error:
could not open default font 'fixed'
Couldn't open RGB_DB '/usr/local/lib/X11/rgb'
19/06/07 08:04:12 Xvnc version TightVNC-1.3.8
19/06/07 08:04:12 Copyright (C) 2000-2006 Constantin Kaplinsky
19/06/07 08:04:12 Copyright (C) 1999 AT&T Laboratories Cambridge
19/06/07 08:04:12 All Rights Reserved.
19/06/07 08:04:12 See http://www.tightvnc.com/ for information on TightVNC
19/06/07 08:04:12 Desktop name 'X' (audit3.secnap.net:1)
19/06/07 08:04:12 Protocol versions supported: 3.7t, 3.7, 3.3
19/06/07 08:04:12 Listening for VNC connections on TCP port 5901
19/06/07 08:04:12 Listening for HTTP connections on TCP port 5801
19/06/07 08:04:12   URL http://audit3.secnap.net:5801

How-To-Repeat: install vncserver (latest, TightVNC-1.3.8)

rm -rv .vnc

vncserver
Comment 1 Edwin Groothuis freebsd_committer 2007-06-19 13:42:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Over to maintainer
Comment 2 tmjiang.tw 2007-06-20 13:38:27 UTC
I re-installed xorg-fonts and this issue seemed to be solved.

BTW, xorg-fonts-miscbitmaps is not enough.
Comment 3 scheidell 2007-06-20 15:12:43 UTC
Tian-Jian "Tai-ming" Jiang@Yahoo wrote:
> I re-installed xorg-fonts and this issue seemed to be solved.
>
> BTW, xorg-fonts-miscbitmaps is not enough.
>
>   
Maybe it should be set a dependency, and more than just vncserver, since
I tried trivivnc, vnc and others, and all failed due to missing fonts.

portupgrade -f xorg-fonts

No such installed package: xorg-fonts
audit3# portupgrade --new xorg-fonts

Thanks, that did it, where do you suppose the dependency should go?

This should do it for tightvnc, but it looks like EVERYTHING needs these:

--- Makefile.orig Sat May 19 16:19:05 2007
+++ Makefile Wed Jun 20 10:11:47 2007
@@ -8,7 +8,7 @@

PORTNAME= tightvnc
PORTVERSION= 1.3.8
-PORTREVISION= 2
+PORTREVISION= 3
CATEGORIES= net
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR= vnc-tight
@@ -18,7 +18,8 @@
COMMENT= Enhanced version of VNC

LIB_DEPENDS= jpeg.9:${PORTSDIR}/graphics/jpeg
-RUN_DEPENDS=
${X11BASE}/lib/X11/fonts/misc/10x20.pcf.gz:${X_FONTS_MISC_PORT}
+RUN_DEPENDS=
${X11BASE}/lib/X11/fonts/misc/10x20.pcf.gz:${X_FONTS_MISC_PORT} \
+ xorg-fonts>=0:{$PORTSDIR}/x11-fonts/xorg-fonts

CONFLICTS= tridiavnc-[0-9]* vnc-[0-9]*


_________________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(tm). 
For Information please see http://www.spammertrap.com
_________________________________________________________________________
Comment 4 tmjiang.tw 2007-06-20 15:32:32 UTC
Hi Michael,

I cannot agree with you anymore.

Currently I also encounter another missing dependency, xauth.
I guess that it is usually installed with xorg such that no one notice
it before.

A little bit off-topic, sorry.

Regards,
/Mike Tian-Jian Jiang/

Michael Scheidell wrote:
> Tian-Jian "Tai-ming" Jiang@Yahoo wrote:
>   
>> I re-installed xorg-fonts and this issue seemed to be solved.
>>
>> BTW, xorg-fonts-miscbitmaps is not enough.
>>
>>   
>>     
> Maybe it should be set a dependency, and more than just vncserver, since
> I tried trivivnc, vnc and others, and all failed due to missing fonts.
>
Comment 5 itetcu freebsd_committer 2007-06-21 08:30:34 UTC
This is a side effect of the xorg split probably.
Are you sure you followed the upgrade instructions to the letter ?
(Because I don't see either problem here). 

I will try to find an machine on which to install from scratch and see
what run time deps we're missing.


-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"
Comment 6 itetcu freebsd_committer 2007-08-02 10:53:35 UTC
State Changed
From-To: open->analyzed

Work in progress to fix this issue.
Comment 7 dfilter freebsd_committer 2007-10-29 11:10:12 UTC
itetcu      2007-10-29 11:08:48 UTC

  FreeBSD ports repository

  Modified files:
    net/tightvnc         Makefile pkg-plist 
    net/tightvnc/files   patch-Xvnc::config::cf::FreeBSD.cf 
  Added files:
    net/tightvnc/files   patch-Xvnc::config::cf::Imake.cf 
                         patch-Xvnc::programs::Xserver::os::access.c 
  Log:
  - RUN_DEPEND on xauth and xorg-fonts [1]
  - OPTIONify Java-based vnc viewer and depend on Java in this case
  (first use of bsd.port.options.mk YAY!)
  - add patches for core-dumps on amd64 [2]
  - bump PORTREVISION for above
  
  PR:             ports/113854 [1], ports/108414 [2]
  Submitted by:   Michael Scheidell [1], Tsurutani Naoki [2]
  
  Revision  Changes    Path
  1.29      +19 -2     ports/net/tightvnc/Makefile
  1.3       +14 -6     ports/net/tightvnc/files/patch-Xvnc::config::cf::FreeBSD.cf
  1.1       +15 -0     ports/net/tightvnc/files/patch-Xvnc::config::cf::Imake.cf (new)
  1.1       +11 -0     ports/net/tightvnc/files/patch-Xvnc::programs::Xserver::os::access.c (new)
  1.9       +22 -22    ports/net/tightvnc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 itetcu freebsd_committer 2007-10-29 11:10:18 UTC
State Changed
From-To: analyzed->feedback

My last commit should fix problems reported in these PRs, please get bak 
to me if there still is something wrong; else I will close this PRs in a 
week
Comment 9 Mark Linimon freebsd_committer 2008-01-26 04:13:36 UTC
State Changed
From-To: feedback->closed

Problem is believed to be fixed.